Name: mxp
Version: 1.0
Release: 5mdk
Packager: Maurizio De Cecco (maurizio@mandrakesoft.com)
Copyright: MIT
Group: Graphics
Summary: An X based Mandelbrot set generator and explorer.
Source: ftp://sunsite.unc.edu/pub/linux/apps/math/fractals/mxp-1.0.tar.bz2
Patch: mxp-1.0-imake.patch.bz2
Patch1: mxp-1.0-glibc.patch.bz2
BuildRoot: /var/tmp/mxp-root

%description
The mxp (Mandelbrot explorer) program is an X Window System
application for computing and exploring Mandelbrot sets.  Mxp
supports zoom/un-zoom, dynamic resizing of drawing windows, setup
save/load, asynchronous image generation, GIF outputs, animation,
nine color schemes, color rotation, color change options, and
detailed statistics.

Install the mxp package if you need a Mandelbrot set generator for
the X Window System.

%prep
%setup -q -n mxp
%patch -p1
%patch1 -p1

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/X11R6/bin/mxp

%changelog
* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Mon Nov 29 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- update source URL

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated the source url

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
